Virtual Machine Images - List Skus

Gets a list of virtual machine image SKUs for the specified location, publisher, and offer.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/publishers/{publisherName}/artifacttypes/vmimage/offers/{offer}/skus?api-version=2022-03-01

URI Parameters

Name In Required Type Description
location
path True
  • string

The name of a supported Azure region.

offer
path True
  • string

A valid image publisher offer.

publisherName
path True
  • string

A valid image publisher.

subscriptionId
path True
  • string

Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.

api-version
query True
  • string

Client Api Version.

Responses

Name Type Description
200 OK

OK

Other Status Codes

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

VirtualMachineImages_ListSkus_MaximumSet_Gen
VirtualMachineImages_ListSkus_MinimumSet_Gen

VirtualMachineImages_ListSkus_MaximumSet_Gen

Sample Request

GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/locations/aaaa/publishers/aaaaaaaaaaaaaaaaaaaaaaaaaaaa/artifacttypes/vmimage/offers/aaaaaaa/skus?api-version=2022-03-01

Sample Response

[
  {
    "name": "aaaaaaaa",
    "location": "aaaaaaaaaaaaaaaaaa",
    "tags": {
      "key7868": "aaaaa"
    },
    "extendedLocation": {
      "name": "aaaaaaaaaaaaaaaaaaaaa",
      "type": "EdgeZone"
    },
    "id": "aaaaaaaaaaa"
  }
]

VirtualMachineImages_ListSkus_MinimumSet_Gen

Sample Request

GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/locations/aaaa/publishers/aaaaaaaaaaaaa/artifacttypes/vmimage/offers/aaaaaaa/skus?api-version=2022-03-01

Sample Response

[
  {
    "name": "aaaaaaaa",
    "location": "aaaaaaaaaaaaaaaaaa"
  }
]

Definitions

ApiError

Api error.

ApiErrorBase

Api error base.

CloudError

An error response from the Compute service.

ExtendedLocation

The complex type of the extended location.

ExtendedLocationTypes

The type of the extended location.

InnerError

Inner error details.

VirtualMachineImageResource

Virtual machine image resource information.

ApiError

Api error.

Name Type Description
code
  • string

The error code.

details

The Api error details

innererror

The Api inner error

message
  • string

The error message.

target
  • string

The target of the particular error.

ApiErrorBase

Api error base.

Name Type Description
code
  • string

The error code.

message
  • string

The error message.

target
  • string

The target of the particular error.

CloudError

An error response from the Compute service.

Name Type Description
error

Api error.

ExtendedLocation

The complex type of the extended location.

Name Type Description
name
  • string

The name of the extended location.

type

The type of the extended location.

ExtendedLocationTypes

The type of the extended location.

Name Type Description
EdgeZone
  • string

InnerError

Inner error details.

Name Type Description
errordetail
  • string

The internal error message or exception dump.

exceptiontype
  • string

The exception type.

VirtualMachineImageResource

Virtual machine image resource information.

Name Type Description
extendedLocation

The extended location of the Virtual Machine.

id
  • string

Resource Id

location
  • string

The supported Azure location of the resource.

name
  • string

The name of the resource.

tags
  • object

Specifies the tags that are assigned to the virtual machine. For more information about using tags, see Using tags to organize your Azure resources.